[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Dialogs' (#lcl)

# TInputCloseQueryEvent

Specifies an event handler signalled when an InputQuery dialog is about to close.

## Declaration

Source position: dialogs.pp line 1029

`type TInputCloseQueryEvent = procedure(`
`Sender: TObject;`
`const AValues: array of string;`
`var ACanClose: Boolean`
`) of object;`

## Arguments

`Sender` |  | Object for the event notification.
`AValues` |  | Array of values which can be displayed in the event handler.
`ACanClose` |  | True if the InputQuery can be closed, False to continue execution of the dialog.